﻿using BPA.SAAS.Manage.Comm.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.Manage.Application.Device.Dtos.ProductFunction
{
    public class ProductFunctionBaseDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        /// <summary>
        /// 状态 0启用 1禁用
        /// </summary>
        public int Status { get; set; }
        public string ForeignKeyRe { get; set; }
        public string DeviceVersionKey { get; set; }
        /// <summary>
        /// 功能类型 0属性1服务2事件
        /// </summary>
        public int Type { get; set; }
        /// <summary>
        /// 数据类型
        /// </summary>
        public string DataType { get; set; }
        /// <summary>
        /// 取值范围
        /// </summary>
        public string DataRange { get; set; }
        /// <summary>
        /// 单位
        /// </summary>
        public string Unit { get; set; }
        /// <summary>
        /// 步长
        /// </summary>
        public int StepSize { get; set; }
        /// <summary>
        /// 枚举值
        /// </summary>
        public string EnumValue { get; set; }
    }
}
